URL structure
{orgGroupId} is the ID of an organization.
Supported methods and overview
GET- used to retrieve a summary of information about the numbers of Covata users assigned to each role (where one user may possess more than one role) within an organization (specified byorgGroupId).
This method takes no parameters.
Detailed description
This API endpoint retrieves a summary of information about the numbers of Covata users assigned to each role (where one user may possess more than one role) within an organization (specified byorgGroupId).
Users with the Ad hoc role are excluded from the statistics returned by this API endpoint.
Supported roles and conditions
This API endpoint supports the following Covata user roles (as described in the Organization Administrator’s Guide):- Organization administrator - when this user is a member of the organization whose ID is specified by
{orgGroupId}in the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
-
originatorCount - The number of Covata user accounts within this organization (specified by
{orgGroupId}in the request’s URL) that has the Originator role. - collaboratorCount - The number of Covata user accounts within this organization that has the Collaborator role.
- organisationAdminCount - The number of Covata user accounts within this organization that has the Organization administrator role.
-
totalCount - The sum of the ‘Count’ values above - i.e. the total number of roles assigned to users within this organization.
Example (response):

